Update all LDAP imported users in this domain
POST
/domains/{domainID}/ldap/downsync
const url = 'https://example.com/api/v1/domains/1/ldap/downsync?lang=&timeout=1';const options = {method: 'POST', headers: {cookie: 'grommunioAuthJwt=<grommunioAuthJwt>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url 'https://example.com/api/v1/domains/1/ldap/downsync?lang=&timeout=1' \ --cookie grommunioAuthJwt=<grommunioAuthJwt>Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”domainID
required
integer
ID of the domain
Header Parameters
Section titled “Header Parameters”X-Csrf-Token
string
CSRF Token
Query Parameters
Section titled “Query Parameters”import
boolean
Import new users from LDAP
lang
string
Default language for imported users
timeout
number
Time in seconds to wait for completion
Responses
Section titled “Responses”Update process successful
Media typeapplication/json
object
data
List of updated/imported users
Array<object>
object
ID
Unique ID of the object
integer
username
string
code
HTTP-like status code of the user update or import
integer
message
Update/import message
string
Example
{ "data": [ { "code": 200 } ]}Task took more than timeout seconds and is resumed in the background
Media typeapplication/json
object
message
string
taskID
ID of the task running the command
integer
Examplegenerated
{ "message": "example", "taskID": 1}Validation of input parameters failed
Media typeapplication/json
object
message
string
errors
List of errors encountered during validation
Array<string>
Examplegenerated
{ "message": "example", "errors": [ "example" ]}The requested resource could not be found
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}An error occurred while processing the request
Media typeapplication/json
object
message
String representation of the exception
string
Examplegenerated
{ "message": "example"}One of the required external services is unavailable
Media typeapplication/json
object
message
Description of the error
string
Examplegenerated
{ "message": "example"}